- Home
- API Enriched
- Tenant And Identity
- web
- DELETE a group provided the group ID.
DELETE a group provided the group ID.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/system/user_groups/example';const options = {method: 'DELETE', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/system/user_groups/example \ --header 'Authorization: <Authorization>'DELETE deletes the group, provided the group ID and the users list association to the group It also deletes associated namespace roles for this user. Use this only if the user group and its referenced objects need to be wiped out altogether.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Name of the user group name of the specific group.
Query Parameters
Section titled “Query Parameters”X-example: true
AttemptRemoveReferences ignores the AT/MT configuration references, and
continue with the deletion of the group if set as true, else it will return all the
references in the error. But some references like MSP configurations cannot be ignored.
Responses
Section titled “Responses”A successful response.
Data for empty response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example